Subject: bug#6370: closed (Re: bug#7084: 24.0.50; alpha frame parameter causes flashing with standalone minibuffer)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 22 Sep 2017 08:46:03 +0000

Your bug report

#7084: 24.0.50; alpha frame parameter: flashing if standalone minibuffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
7084: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7084
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#7084: 24.0.50; alpha frame parameter causes flashing with standalone minibuffer
From: martin rudalics <[email-masked]>
To: Drew Adams <[email-masked]>, Lars Ingebrigtsen <[email-masked]>
Cc: [email-masked]
Date: Fri, 22 Sep 2017 10:44:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

 >> Is this problem still present in Emacs 24.3?
 >
 > Yes, and in a 24.4 build from 2014-02-07.  It makes frame
 > parameter `alpha' unusable for a setup that has a standalone
 > minibuffer frame (mine, at least).

When I start Emacs 24.5.50.1 with the -Q option and load a file with the
following contents

(setq default-frame-alist '((minibuffer . nil)))

(set-frame-parameter nil 'alpha (cons 100 80))

and I now type C-h f in the "alpha frame", I can indeed see "the alpha
frame flash (at least on Windows)".  Since I cannot reproduce this
flashing with a build of Emacs 25.3.50.1, I'm marking this bug as done.

Thanks for the report, martin

Subject: 24.0.50; alpha frame parameter: flashing if standalone minibuffer
From: "Drew Adams" <[email-masked]>
To: <[email-masked]>
Date: Mon, 7 Jun 2010 08:22:32 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

If you use a standalone minibuffer, and you set some other frame's alpha
parameter (e.g. (set-frame-parameter nil 'alpha (cons 100 80))), then
using the minibuffer makes the alpha frame flash (at least on Windows).

In GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600)
 of 2010-05-23 on G41R2F1
Windowing system distributor `Microsoft Corp.', version 5.1.2600
configured using `configure --with-gcc (3.4) --no-opt --cflags -Ic:/xpm/include'